body {
  margin: 0;
  font-family: sans-serif;
}

/*main*/
main {
    background-color: var(--secondaryBackgroundColor);
    justify-self: center;
    padding: 30px;
    margin: 30px;
    border-radius: 5px;
    min-width: 25%;
    min-height: 25%;
}

/*header*/
header {
    display: grid;
    justify-content: center;
}

#headerText1 {
    color: var(--blue);
    justify-self: center;
}

#headerText2 {
    justify-self: center;
}

/*section*/
section {
    display: grid;
    justify-content: center;
}

/*form*/
form {
  display: grid;
  width: 500px;

  label {
    margin-top: 10px;
    font-weight: bold;
    color: var(--darkGrey);
  }

  input,
  textarea,
  select {
    margin-top: 5px;
    padding: 7px;
    border-radius: 5px;
    border: none;
    background-color: var(--primaryBackgroundColor);
  }

  textarea {
    resize: none;
    height: 200px;
  }

  input:focus,
  textarea:focus,
  select:focus {
    outline: 2px solid var(--blue);
  }

  button {
    justify-self: center;
    width: fit-content;
    padding: 7px;
    margin-top: 31.8px;
    font-weight: bold;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    background-color: var(--primaryBackgroundColor);
  }

  button:hover {
    color: var(--blue);
    cursor: pointer;
  }

  div {
    margin-top: 10px;
  }

  a {
    color: var(--blue);
    margin-top: 10px;
    width: fit-content;
  }
}

.formTwoRows {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}

.formTwoRowsRow {
  display: grid;
}

/*errors*/
.error {
  color: red;
  display: flex;
  justify-content: center;
}